This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497283 - Review Request: perl-Syntax-Highlight-Engine-Kate - Port to Perl of the syntax highlight engine of the Kate texteditor
Review Request: perl-Syntax-Highlight-Engine-Kate - Port to Perl of the synta...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On: perl-XML-TokeParser
Blocks: 500959 532278
  Show dependency treegraph
 
Reported: 2009-04-23 03:53 EDT by Marcela Mašláňová
Modified: 2010-07-21 01:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-03 02:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-23 03:53:15 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Syntax-Highlight-Engine-Kate.spec
SRPM URL:http://mmaslano.fedorapeople.org/review/perl-Syntax-Highlight-Engine-Kate-0.04-1.fc11.src.rpm
Description:
Syntax::Highlight::Engine::Kate is a port to perl of the syntax highlight
engine of the Kate text editor.

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1316294

Problems:
- strange description
- can't rid of rpmlint warning. This file is here probably twice, but if I remove it, the test are complaining about missing file.
perl-Syntax-Highlight-Engine-Kate.noarch: E: useless-provides perl(Syntax::Highlight::Engine::Kate::Alerts)
Comment 1 Parag AN(पराग) 2009-04-23 06:59:52 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1316294
+ rpmlint output is for SRPM and for RPM.
perl-Syntax-Highlight-Engine-Kate.noarch: E: useless-provides perl(Syntax::Highlight::Engine::Kate::Alerts)
==> you should filter this
+ source files match upstream url
7f94ab9430a4c8504bb93c7974bb7493  Syntax-Highlight-Engine-Kate-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=528, 99 wallclock secs ( 0.21 usr  0.01 sys + 96.32 cusr  0.21 csys = 96.75 CPU)

Suggestions:
1) you should remove 
 OPTIMIZE="$RPM_OPT_FLAGS" 
And
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
from SPEC as this is noarch package.

2) You must replace 
%attr(0644,root,root) /usr/lib/perl5/vendor_perl/5.10.0/Syntax/Highlight/Engine/Kate.pm
%attr(0644,root,root) /usr/lib/perl5/vendor_perl/5.10.0/Syntax/Highlight/Engine/Kate.pod
%attr(0644,root,root) /usr/lib/perl5/vendor_perl/5.10.0/Syntax/Highlight/Engine/Kate/*
to
%{perl_vendorlib}/*


3) When I filtered either one provides from
perl(Syntax::Highlight::Engine::Kate::Alerts) = 0.01 perl(Syntax::Highlight::Engine::Kate::Alerts) = 0.03 

Got 
Unknown arguments to TAP::Harness::new (ignore_exit) at /usr/lib/perl5/5.10.0/Test/Harness.pm line 255

maybe Ralf can help to fix this here.
Comment 2 Marcela Mašláňová 2009-04-23 08:41:14 EDT
The spec was recreated because it is not noarch. 

The problem in test, which I see is:
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t                                                                     
t/Kate.t .. 448/? Use of uninitialized value $ch in concatenation (.) or string at /home/marca/rpmbuild/BUILD/Syntax-Highlight-Engine-Kate-0.04/blib/lib/Syntax/Highlight/Engine/Kate/Template.pm line 534.                                                                                                                                                             
Use of uninitialized value $ch in string ne at /home/marca/rpmbuild/BUILD/Syntax-Highlight-Engine-Kate-0.04/blib/lib/Syntax/Highlight/Engine/Kate/Template.pm line 535.             
Use of uninitialized value $ch in concatenation (.) or string at /home/marca/rpmbuild/BUILD/Syntax-Highlight-Engine-Kate-0.04/blib/lib/Syntax/Highlight/Engine/Kate/Template.pm line 534. 

This looks more like problem of wrong test, which didn't count with empty variable.

I can't still get rid off double perl(Syntax::Highlight::Engine::Kate::Alerts).
Comment 3 Ralf Corsepius 2009-05-04 02:33:05 EDT
(In reply to comment #2)
> The spec was recreated because it is not noarch. 
Please elaborate. I don't see any arch-specific portions inside of this package.
IMO, this package should be a "noarch" packages.


> The problem in test, which I see is:
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
> 'blib/lib', 'blib/arch')" t/*.t                                                 
> t/Kate.t .. 448/? Use of uninitialized value $ch in concatenation (.) or string
> at
> /home/marca/rpmbuild/BUILD/Syntax-Highlight-Engine-Kate-0.04/blib/lib/Syntax/Highlight/Engine/Kate/Template.pm
> line 534.                                                                       
I am also seeing these, but don't have a "quick fix" for it (and no time to investigate further), sorry.


> I can't still get rid off double perl(Syntax::Highlight::Engine::Kate::Alerts).  

The rpmlint warning stems from these two files inside of the sources:
lib/Syntax/Highlight/Engine/Kate/Alerts
vs.
lib/Syntax/Highlight/Engine/Kate/Alerts.pm

They conflict.

I would suspect "Alerts" to be an outdated version of "Alerts.pm", which likely was packaged into the tarball by mistake. I'd say, this is something to contact upstream about to clarify.

For the moment, I'd propose to remove "Alerts" in %prep and to watch how far you will get. I tried
rm -f lib/Syntax/Highlight/Engine/Kate/Alerts
and found it appears to work.

Further issue: Most permissions of the files inside of the tarball are wrong.
Proposal: Add
find -type f -exec chmod -x {} \;
to %prep
Comment 4 Marcela Mašláňová 2009-05-04 07:15:34 EDT
Ok, fixed for review. Test problem was reported to upstream. For meanwhile could be used my patch. 

Alerts stop to complain, after removing the first in prep, also the permissions looks ok.

Thank you for all suggestions.

http://mmaslano.fedorapeople.org/review/perl-Syntax-Highlight-Engine-Kate-0.04-3.fc11.src.rpm
http://mmaslano.fedorapeople.org/review/perl-Syntax-Highlight-Engine-Kate.spec
Comment 5 Iain Arnell 2009-05-04 12:26:23 EDT
I've built and installed this (it's needed for MojoMojo too) and discovered that the resulting binary has a dependency on perl(XML::TokeParser) which doesn't yet exist in Fedora. Review at bug #498977.
Comment 7 Marcela Mašláňová 2009-05-15 02:01:39 EDT
ping?
Comment 8 Parag AN(पराग) 2009-05-15 03:37:05 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1355746
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0afce4a365d5a13a40f13031a1f6dc9bfa6a9788  Syntax-Highlight-Engine-Kate-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=528, 47 wallclock secs ( 0.13 usr  0.00 sys + 47.13 cusr  0.05 csys = 47.31 CPU)
+ Package perl-Syntax-Highlight-Engine-Kate-0.04-4.fc12.noarch =>

Provides: perl(Syntax::Highlight::Engine::Kate) = 0.04 perl(Syntax::Highlight::Engine::Kate::ABC) = 0.03 perl(Syntax::Highlight::Engine::Kate::AHDL) = 0.03 perl(Syntax::Highlight::Engine::Kate::ANSI_C89) = 0.03 perl(Syntax::Highlight::Engine::Kate::ASP) = 0.03 perl(Syntax::Highlight::Engine::Kate::AVR_Assembler) = 0.03 perl(Syntax::Highlight::Engine::Kate::AWK) = 0.03 perl(Syntax::Highlight::Engine::Kate::Ada) = 0.03 perl(Syntax::Highlight::Engine::Kate::Alerts) = 0.03 perl(Syntax::Highlight::Engine::Kate::All) = 0.02 perl(Syntax::Highlight::Engine::Kate::Ansys) = 0.03 perl(Syntax::Highlight::Engine::Kate::Apache_Configuration) = 0.03 perl(Syntax::Highlight::Engine::Kate::Asm6502) = 0.03 perl(Syntax::Highlight::Engine::Kate::Bash) = 0.03 perl(Syntax::Highlight::Engine::Kate::BibTeX) = 0.03 perl(Syntax::Highlight::Engine::Kate::C) = 0.03 perl(Syntax::Highlight::Engine::Kate::CGiS) = 0.03 perl(Syntax::Highlight::Engine::Kate::CMake) = 0.03 perl(Syntax::Highlight::Engine::Kate::CSS) = 0.03 perl(Syntax::Highlight::Engine::Kate::CSS_PHP) = 0.03 perl(Syntax::Highlight::Engine::Kate::CUE_Sheet) = 0.03 perl(Syntax::Highlight::Engine::Kate::Cdash) = 0.03 perl(Syntax::Highlight::Engine::Kate::Cg) = 0.03 perl(Syntax::Highlight::Engine::Kate::ChangeLog) = 0.03 perl(Syntax::Highlight::Engine::Kate::Cisco) = 0.03 perl(Syntax::Highlight::Engine::Kate::Clipper) = 0.03 perl(Syntax::Highlight::Engine::Kate::ColdFusion) = 0.03 perl(Syntax::Highlight::Engine::Kate::Common_Lisp) = 0.03 perl(Syntax::Highlight::Engine::Kate::ComponentminusPascal) = 0.03 perl(Syntax::Highlight::Engine::Kate::Cplusplus) = 0.03 perl(Syntax::Highlight::Engine::Kate::D) = 0.03 perl(Syntax::Highlight::Engine::Kate::De_DE) = 0.03 perl(Syntax::Highlight::Engine::Kate::Debian_Changelog) = 0.03 perl(Syntax::Highlight::Engine::Kate::Debian_Control) = 0.03 perl(Syntax::Highlight::Engine::Kate::Desktop) = 0.03 perl(Syntax::Highlight::Engine::Kate::Diff) = 0.03 perl(Syntax::Highlight::Engine::Kate::Doxygen) = 0.03 perl(Syntax::Highlight::Engine::Kate::E_Language) = 0.03 perl(Syntax::Highlight::Engine::Kate::Eiffel) = 0.03 perl(Syntax::Highlight::Engine::Kate::Email) = 0.03 perl(Syntax::Highlight::Engine::Kate::En_US) = 0.03 perl(Syntax::Highlight::Engine::Kate::Euphoria) = 0.03 perl(Syntax::Highlight::Engine::Kate::Ferite) = 0.03 perl(Syntax::Highlight::Engine::Kate::Fortran) = 0.03 perl(Syntax::Highlight::Engine::Kate::FourGL) = 0.03 perl(Syntax::Highlight::Engine::Kate::FourGLminusPER) = 0.03 perl(Syntax::Highlight::Engine::Kate::FreeBASIC) = 0.03 perl(Syntax::Highlight::Engine::Kate::GDL) = 0.03 perl(Syntax::Highlight::Engine::Kate::GLSL) = 0.03 perl(Syntax::Highlight::Engine::Kate::GNU_Assembler) = 0.03 perl(Syntax::Highlight::Engine::Kate::GNU_Gettext) = 0.03 perl(Syntax::Highlight::Engine::Kate::HTML) = 0.03 perl(Syntax::Highlight::Engine::Kate::Haskell) = 0.03 perl(Syntax::Highlight::Engine::Kate::IDL) = 0.03 perl(Syntax::Highlight::Engine::Kate::ILERPG) = 0.03 perl(Syntax::Highlight::Engine::Kate::INI_Files) = 0.03 perl(Syntax::Highlight::Engine::Kate::Inform) = 0.03 perl(Syntax::Highlight::Engine::Kate::Intel_x86_NASM) = 0.03 perl(Syntax::Highlight::Engine::Kate::JSP) = 0.03 perl(Syntax::Highlight::Engine::Kate::Java) = 0.03 perl(Syntax::Highlight::Engine::Kate::JavaScript) = 0.03 perl(Syntax::Highlight::Engine::Kate::JavaScript_PHP) = 0.03 perl(Syntax::Highlight::Engine::Kate::Javadoc) = 0.03 perl(Syntax::Highlight::Engine::Kate::KBasic) = 0.03 perl(Syntax::Highlight::Engine::Kate::Kate_File_Template) = 0.03 perl(Syntax::Highlight::Engine::Kate::LDIF) = 0.03 perl(Syntax::Highlight::Engine::Kate::LPC) = 0.03 perl(Syntax::Highlight::Engine::Kate::LaTeX) = 0.03 perl(Syntax::Highlight::Engine::Kate::Lex_Flex) = 0.03 perl(Syntax::Highlight::Engine::Kate::LilyPond) = 0.03 perl(Syntax::Highlight::Engine::Kate::Literate_Haskell) = 0.03 perl(Syntax::Highlight::Engine::Kate::Logtalk) = 0.03 perl(Syntax::Highlight::Engine::Kate::Lua) = 0.03 perl(Syntax::Highlight::Engine::Kate::M3U) = 0.03 perl(Syntax::Highlight::Engine::Kate::MABminusDB) = 0.03 perl(Syntax::Highlight::Engine::Kate::MIPS_Assembler) = 0.03 perl(Syntax::Highlight::Engine::Kate::Makefile) = 0.03 perl(Syntax::Highlight::Engine::Kate::Mason) = 0.03 perl(Syntax::Highlight::Engine::Kate::Matlab) = 0.03 perl(Syntax::Highlight::Engine::Kate::Modulaminus2) = 0.03 perl(Syntax::Highlight::Engine::Kate::Music_Publisher) = 0.03 perl(Syntax::Highlight::Engine::Kate::Nl) = 0.03 perl(Syntax::Highlight::Engine::Kate::Objective_Caml) = 0.03 perl(Syntax::Highlight::Engine::Kate::ObjectiveminusC) = 0.03 perl(Syntax::Highlight::Engine::Kate::Octave) = 0.03 perl(Syntax::Highlight::Engine::Kate::PHP_HTML) = 0.03 perl(Syntax::Highlight::Engine::Kate::PHP_PHP) = 0.03 perl(Syntax::Highlight::Engine::Kate::POVminusRay) = 0.03 perl(Syntax::Highlight::Engine::Kate::Pascal) = 0.03 perl(Syntax::Highlight::Engine::Kate::Perl) = 0.03 perl(Syntax::Highlight::Engine::Kate::PicAsm) = 0.03 perl(Syntax::Highlight::Engine::Kate::Pike) = 0.03 perl(Syntax::Highlight::Engine::Kate::PostScript) = 0.03 perl(Syntax::Highlight::Engine::Kate::Progress) = 0.03 perl(Syntax::Highlight::Engine::Kate::Prolog) = 0.03 perl(Syntax::Highlight::Engine::Kate::PureBasic) = 0.03 perl(Syntax::Highlight::Engine::Kate::Python) = 0.03 perl(Syntax::Highlight::Engine::Kate::Quake_Script) = 0.03 perl(Syntax::Highlight::Engine::Kate::REXX) = 0.03 perl(Syntax::Highlight::Engine::Kate::RPM_Spec) = 0.03 perl(Syntax::Highlight::Engine::Kate::RSI_IDL) = 0.03 perl(Syntax::Highlight::Engine::Kate::R_Script) = 0.03 perl(Syntax::Highlight::Engine::Kate::RenderMan_RIB) = 0.03 perl(Syntax::Highlight::Engine::Kate::Ruby) = 0.03 perl(Syntax::Highlight::Engine::Kate::SGML) = 0.03 perl(Syntax::Highlight::Engine::Kate::SML) = 0.03 perl(Syntax::Highlight::Engine::Kate::SQL) = 0.03 perl(Syntax::Highlight::Engine::Kate::SQL_MySQL) = 0.03 perl(Syntax::Highlight::Engine::Kate::SQL_PostgreSQL) = 0.03 perl(Syntax::Highlight::Engine::Kate::Sather) = 0.03 perl(Syntax::Highlight::Engine::Kate::Scheme) = 0.03 perl(Syntax::Highlight::Engine::Kate::Scilab) = 0.03 perl(Syntax::Highlight::Engine::Kate::Sieve) = 0.03 perl(Syntax::Highlight::Engine::Kate::Spice) = 0.03 perl(Syntax::Highlight::Engine::Kate::Stata) = 0.03 perl(Syntax::Highlight::Engine::Kate::TI_Basic) = 0.03 perl(Syntax::Highlight::Engine::Kate::TaskJuggler) = 0.03 perl(Syntax::Highlight::Engine::Kate::Tcl_Tk) = 0.03 perl(Syntax::Highlight::Engine::Kate::Template) = 0.03 perl(Syntax::Highlight::Engine::Kate::ToolKit) = 0.01 perl(Syntax::Highlight::Engine::Kate::Txt2tags) = 0.03 perl(Syntax::Highlight::Engine::Kate::UnrealScript) = 0.03 perl(Syntax::Highlight::Engine::Kate::VHDL) = 0.03 perl(Syntax::Highlight::Engine::Kate::VRML) = 0.03 perl(Syntax::Highlight::Engine::Kate::Velocity) = 0.03 perl(Syntax::Highlight::Engine::Kate::Verilog) = 0.03 perl(Syntax::Highlight::Engine::Kate::WINE_Config) = 0.03 perl(Syntax::Highlight::Engine::Kate::Wikimedia) = 0.03 perl(Syntax::Highlight::Engine::Kate::XHarbour) = 0.03 perl(Syntax::Highlight::Engine::Kate::XML) = 0.03 perl(Syntax::Highlight::Engine::Kate::XMLData) = 0.01 perl(Syntax::Highlight::Engine::Kate::XML_Debug) = 0.02 perl(Syntax::Highlight::Engine::Kate::Xorg_Configuration) = 0.03 perl(Syntax::Highlight::Engine::Kate::Xslt) = 0.03 perl(Syntax::Highlight::Engine::Kate::Yacas) = 0.03 perl(Syntax::Highlight::Engine::Kate::Yacc_Bison) = 0.03

Requires: perl(Carp) perl(Data::Dumper) perl(File::Basename) perl(Syntax::Highlight::Engine::Kate::AHDL) perl(Syntax::Highlight::Engine::Kate::ANSI_C89) perl(Syntax::Highlight::Engine::Kate::ASP) perl(Syntax::Highlight::Engine::Kate::AVR_Assembler) perl(Syntax::Highlight::Engine::Kate::AWK) perl(Syntax::Highlight::Engine::Kate::Ada) perl(Syntax::Highlight::Engine::Kate::Alerts) perl(Syntax::Highlight::Engine::Kate::Asm6502) perl(Syntax::Highlight::Engine::Kate::Bash) perl(Syntax::Highlight::Engine::Kate::BibTeX) perl(Syntax::Highlight::Engine::Kate::C) perl(Syntax::Highlight::Engine::Kate::CGiS) perl(Syntax::Highlight::Engine::Kate::CMake) perl(Syntax::Highlight::Engine::Kate::CSS) perl(Syntax::Highlight::Engine::Kate::CUE_Sheet) perl(Syntax::Highlight::Engine::Kate::Cdash) perl(Syntax::Highlight::Engine::Kate::Cg) perl(Syntax::Highlight::Engine::Kate::ChangeLog) perl(Syntax::Highlight::Engine::Kate::Cisco) perl(Syntax::Highlight::Engine::Kate::Clipper) perl(Syntax::Highlight::Engine::Kate::ColdFusion) perl(Syntax::Highlight::Engine::Kate::Common_Lisp) perl(Syntax::Highlight::Engine::Kate::ComponentminusPascal) perl(Syntax::Highlight::Engine::Kate::Cplusplus) perl(Syntax::Highlight::Engine::Kate::D) perl(Syntax::Highlight::Engine::Kate::Debian_Changelog) perl(Syntax::Highlight::Engine::Kate::Debian_Control) perl(Syntax::Highlight::Engine::Kate::Desktop) perl(Syntax::Highlight::Engine::Kate::Diff) perl(Syntax::Highlight::Engine::Kate::Doxygen) perl(Syntax::Highlight::Engine::Kate::E_Language) perl(Syntax::Highlight::Engine::Kate::Eiffel) perl(Syntax::Highlight::Engine::Kate::Euphoria) perl(Syntax::Highlight::Engine::Kate::Ferite) perl(Syntax::Highlight::Engine::Kate::Fortran) perl(Syntax::Highlight::Engine::Kate::FourGL) perl(Syntax::Highlight::Engine::Kate::FourGLminusPER) perl(Syntax::Highlight::Engine::Kate::GDL) perl(Syntax::Highlight::Engine::Kate::GLSL) perl(Syntax::Highlight::Engine::Kate::GNU_Assembler) perl(Syntax::Highlight::Engine::Kate::GNU_Gettext) perl(Syntax::Highlight::Engine::Kate::HTML) perl(Syntax::Highlight::Engine::Kate::Haskell) perl(Syntax::Highlight::Engine::Kate::IDL) perl(Syntax::Highlight::Engine::Kate::ILERPG) perl(Syntax::Highlight::Engine::Kate::INI_Files) perl(Syntax::Highlight::Engine::Kate::Inform) perl(Syntax::Highlight::Engine::Kate::Intel_x86_NASM) perl(Syntax::Highlight::Engine::Kate::JSP) perl(Syntax::Highlight::Engine::Kate::Java) perl(Syntax::Highlight::Engine::Kate::JavaScript) perl(Syntax::Highlight::Engine::Kate::Javadoc) perl(Syntax::Highlight::Engine::Kate::KBasic) perl(Syntax::Highlight::Engine::Kate::LDIF) perl(Syntax::Highlight::Engine::Kate::LPC) perl(Syntax::Highlight::Engine::Kate::LaTeX) perl(Syntax::Highlight::Engine::Kate::Lex_Flex) perl(Syntax::Highlight::Engine::Kate::LilyPond) perl(Syntax::Highlight::Engine::Kate::Literate_Haskell) perl(Syntax::Highlight::Engine::Kate::Lua) perl(Syntax::Highlight::Engine::Kate::MABminusDB) perl(Syntax::Highlight::Engine::Kate::MIPS_Assembler) perl(Syntax::Highlight::Engine::Kate::Makefile) perl(Syntax::Highlight::Engine::Kate::Mason) perl(Syntax::Highlight::Engine::Kate::Matlab) perl(Syntax::Highlight::Engine::Kate::Modulaminus2) perl(Syntax::Highlight::Engine::Kate::Music_Publisher) perl(Syntax::Highlight::Engine::Kate::Octave) perl(Syntax::Highlight::Engine::Kate::PHP_HTML) perl(Syntax::Highlight::Engine::Kate::PHP_PHP) perl(Syntax::Highlight::Engine::Kate::POVminusRay) perl(Syntax::Highlight::Engine::Kate::Pascal) perl(Syntax::Highlight::Engine::Kate::Perl) perl(Syntax::Highlight::Engine::Kate::PicAsm) perl(Syntax::Highlight::Engine::Kate::Pike) perl(Syntax::Highlight::Engine::Kate::PostScript) perl(Syntax::Highlight::Engine::Kate::Progress) perl(Syntax::Highlight::Engine::Kate::Prolog) perl(Syntax::Highlight::Engine::Kate::PureBasic) perl(Syntax::Highlight::Engine::Kate::Python) perl(Syntax::Highlight::Engine::Kate::Quake_Script) perl(Syntax::Highlight::Engine::Kate::REXX) perl(Syntax::Highlight::Engine::Kate::RPM_Spec) perl(Syntax::Highlight::Engine::Kate::RSI_IDL) perl(Syntax::Highlight::Engine::Kate::R_Script) perl(Syntax::Highlight::Engine::Kate::RenderMan_RIB) perl(Syntax::Highlight::Engine::Kate::Ruby) perl(Syntax::Highlight::Engine::Kate::SGML) perl(Syntax::Highlight::Engine::Kate::SML) perl(Syntax::Highlight::Engine::Kate::SQL) perl(Syntax::Highlight::Engine::Kate::SQL_MySQL) perl(Syntax::Highlight::Engine::Kate::SQL_PostgreSQL) perl(Syntax::Highlight::Engine::Kate::Sather) perl(Syntax::Highlight::Engine::Kate::Scheme) perl(Syntax::Highlight::Engine::Kate::Scilab) perl(Syntax::Highlight::Engine::Kate::Sieve) perl(Syntax::Highlight::Engine::Kate::Spice) perl(Syntax::Highlight::Engine::Kate::Stata) perl(Syntax::Highlight::Engine::Kate::TI_Basic) perl(Syntax::Highlight::Engine::Kate::Tcl_Tk) perl(Syntax::Highlight::Engine::Kate::Txt2tags) perl(Syntax::Highlight::Engine::Kate::UnrealScript) perl(Syntax::Highlight::Engine::Kate::VHDL) perl(Syntax::Highlight::Engine::Kate::VRML) perl(Syntax::Highlight::Engine::Kate::Velocity) perl(Syntax::Highlight::Engine::Kate::Verilog) perl(Syntax::Highlight::Engine::Kate::WINE_Config) perl(Syntax::Highlight::Engine::Kate::XHarbour) perl(Syntax::Highlight::Engine::Kate::XML) perl(Syntax::Highlight::Engine::Kate::XMLData) perl(Syntax::Highlight::Engine::Kate::XML_Debug) perl(Syntax::Highlight::Engine::Kate::Xslt) perl(Syntax::Highlight::Engine::Kate::Yacas) perl(Syntax::Highlight::Engine::Kate::Yacc_Bison) perl(XML::Dumper) perl(XML::TokeParser) perl(strict) perl(vars) perl(warnings)

+ Not a GUI application

suggestions:
1)Remove BuildRequires:  perl(XML::TokeParser) Its needed only at runtime and yum is resolving it


APPROVED.
Comment 9 Marcela Mašláňová 2009-05-15 03:50:05 EDT
New Package CVS Request
=======================
Package Name: perl-Syntax-Highlight-Engine-Kate
Short Description: Port to Perl of the syntax highlight engine of the Kate texteditor
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2009-05-15 19:52:50 EDT
cvs done.
Comment 11 Marcela Mašláňová 2009-11-02 06:55:40 EST
As a request for Publican #532278 please branch for F-10.
Koji build passed http://koji.fedoraproject.org/koji/taskinfo?taskID=1782002

New Package CVS Request
=======================
Package Name: perl-Syntax-Highlight-Engine-Kate
Short Description: Port to Perl of the syntax highlight engine of the Kate
texteditor
Owners: mmaslano
Branches: F-10
InitialCC: perl-sig
Comment 12 Kevin Fenzi 2009-11-02 23:38:46 EST
cvs done.
Comment 13 Marcela Mašláňová 2010-07-20 02:17:13 EDT
Package Change Request
======================
Package Name: perl-Syntax-Highlight-Engine-Kate
New Branches: EL-5 EL-6
Owners: bar mmaslano
Comment 14 Kevin Fenzi 2010-07-21 01:07:25 EDT
CVS done (by process-cvs-requests.py).

User 'bar' doesn't seem to exist. Otherwise done.

Note You need to log in before you can comment on or make changes to this bug.